### Enumeration

# Qmi NasNetworkStatus

since: 1.0

#### Declaration

    flags Qmi.NasNetworkStatus

#### Description [src]

Flags to specify the status of a given network.

Available since: 1.0

#### Members

`QMI_NAS_NETWORK_STATUS_CURRENT_SERVING`

  Network is in use, current serving.

  - Value: `1`
  - Available since: 1.0
`QMI_NAS_NETWORK_STATUS_AVAILABLE`

  Network is vailable.

  - Value: `2`
  - Available since: 1.0
`QMI_NAS_NETWORK_STATUS_HOME`

  Network is home network.

  - Value: `4`
  - Available since: 1.0
`QMI_NAS_NETWORK_STATUS_ROAMING`

  Network is a roaming network.

  - Value: `8`
  - Available since: 1.0
`QMI_NAS_NETWORK_STATUS_FORBIDDEN`

  Network is forbidden.

  - Value: `16`
  - Available since: 1.0
`QMI_NAS_NETWORK_STATUS_NOT_FORBIDDEN`

  Network is not forbidden.

  - Value: `32`
  - Available since: 1.0
`QMI_NAS_NETWORK_STATUS_PREFERRED`

  Network is preferred.

  - Value: `64`
  - Available since: 1.0
`QMI_NAS_NETWORK_STATUS_NOT_PREFERRED`

  Network is not preferred.

  - Value: `128`
  - Available since: 1.0

#### Type functions

###### qmi_nas_network_status_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiNasNetworkStatus` in `mask`.

since: 1.0